Bug 70296 - quotas don't work
quotas don't work
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 11:16 EDT by Nils Philippsen
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-31 15:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2002-07-31 11:16:35 EDT
Description of Problem:

SSIA

Version-Release number of selected component (if applicable):

kernel-2.4.18-7.80 #1

How Reproducible:

Easily.

Steps to Reproduce:
1. mount fs with quota
2. quotacheck fs to create quota files
3. exceed quota
4. watch your disks burst ;-)

Actual Results:

[user2@YC8D398L user2]$ df .
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/vg00/LogVol01     4128448    156720   3762016   4% /home
[user2@YC8D398L user2]$ quota
Disk quotas for user user2 (uid 501): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
/dev/vg00/LogVol01
                 112820*   2048   10240              17       0       0        
[user2@YC8D398L user2]$ du -s
112824
.
[user2@YC8D398L user2]$ dd if=/dev/zero of=test2 bs=1M count=200
200+0 records in
200+0 records out
[user2@YC8D398L user2]$ du -s
317828
.
[user2@YC8D398L user2]$ vi test2
[user2@YC8D398L user2]$ pwd; mount|grep /home
/home/user2
/dev/vg00/LogVol01 on /home type ext3 (rw,quota)
[user2@YC8D398L user2]$ df .
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/vg00/LogVol01     4128448    361724   3557012  10% /home

Expected Results:

dd should fail.

Additional Information:
	
ACLs are used on the file system.
Comment 1 Stephen Tweedie 2002-07-31 14:28:40 EDT
In the reproducer steps:

> Steps to Reproduce:
> 1. mount fs with quota
> 2. quotacheck fs to create quota files
> 3. exceed quota
> 4. watch your disks burst ;-)

did you remember step 2.5, which is "run quotaon to start quota enforcement on
the filesystem"?
Comment 2 Nils Philippsen 2002-07-31 15:05:44 EDT
Hmpf, that may be it ( I remember that I ran quotaon, but not _when_ in teh
process and whether it succeeded or not...). I'll try tomorrow.
Comment 3 Nils Philippsen 2002-08-02 03:47:48 EDT
OK, my fault. Support by bugzilla, yay! sct: I owe you one.

Note You need to log in before you can comment on or make changes to this bug.